#1929 closed defect (fixed)

virtex: passing argument 2 of 'ppc_exc_set_handler' from incompatible pointer type

Reported by: Ralf Corsepius Owned by: Sebastian Huber
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

The virtex BSP contains this:

libbsp/powerpc/virtex/irq/irq_init.c:int C_dispatch_irq_handler (CPU_Interrupt_frame *frame, unsigned int excNum)
libbsp/powerpc/virtex/irq/irq_init.c: ppc_exc_set_handler(ASM_EXT_VECTOR, C_dispatch_irq_handler);
libbsp/powerpc/virtex/irq/irq_init.c: ppc_exc_set_handler(ASM_BOOKE_DEC_VECTOR, C_dispatch_irq_handler);

i.e. it tries to install

int C_dispatch_irq_handler (CPU_Interrupt_frame *frame, unsigned int excNum)

via

ppc_exc_set_handler

(from libcpu/powerpc/new-exceptions/bspsupport/vectors.h)
which expects

int (*ppc_exc_handler_t)(BSP_Exception_frame *f, unsigned vector)

as second argument.

This manifests in gcc issuing these warnings:
./../../../../../../../c/src/lib/libbsp/powerpc/virtex/irq/irq_init.c:324:2: warning: passing argument 2 of 'ppc_exc_set_handler' from incompatible pointer type [enabled by default]
../../../../../../../../c/src/lib/libbsp/powerpc/virtex/irq/irq_init.c:325:2: warning: passing argument 2 of 'ppc_exc_set_handler' from incompatible pointer type [enabled by default]

No idea about how to fix this. Seems as if a change to the powerpc's exception handling wasn't propagated to the virtex BSP.

Change History (4)

comment:1 Changed on Oct 6, 2011 at 1:18:20 AM by Ralf Corsepius

Cc: Sebastian Huber added

comment:2 Changed on Nov 9, 2011 at 7:53:46 PM by Joel Sherrill

Owner: changed from Joel Sherrill to Sebastian Huber

comment:3 Changed on Nov 10, 2011 at 7:25:56 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Fixed on CVS head.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.